[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCellProcessEvent

Specifies an event handler used to process the value in a grid cell.

## Declaration

Source position: grids.pas line 394

`type TCellProcessEvent = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`processType: TCellProcessType;`
`var aValue: string`
`) of object;`

## Arguments

`Sender` |  | Grid control generating the event notification.
`aCol` |  | Column number for the cell in the event notification.
`aRow` |  | Row number for the cell in the event notification.
`processType` |  | Process to perform on the cell value.
`aValue` |  | Value for the cell after processing has been applied.

## Description

TCellProcessEvent specifies an event handler used to process the value in a grid cell in TCustomStringGrid. Arguments to the event handler identify the grid generating the event notification, the row and column numbers for the affected cell, and the value for the cell after processing. The processType argument specifies whether aValue is copied from or pasted to the cell.

TCellProcessEvent is the type used to implement the OnCellProcess in TCustomStringGrid. Applications must implement an object procedure using the signature for the event handler to respond to the event notification.

## See also

TCustomStringGrid.OnCellProcess |  | Event handler signalled when copying or pasting content for Cells in the grid.